/*
   SPDX-FileCopyrightText: 2013-2021 Laurent Montel <montel@kde.org>

   SPDX-License-Identifier: LGPL-2.0-or-later
*/
#ifndef SELECTMIMETYPECOMBOBOX_H
#define SELECTMIMETYPECOMBOBOX_H

#include <QComboBox>

namespace KSieveUi
{
class SelectMimeTypeComboBox : public QComboBox
{
    Q_OBJECT
public:
    explicit SelectMimeTypeComboBox(QWidget *parent = nullptr);
    ~SelectMimeTypeComboBox() override;

    Q_REQUIRED_RESULT QString code() const;
    void setCode(const QString &code, const QString &name, QString &error);

Q_SIGNALS:
    void valueChanged();

private:
    void initialize();
};
}

#endif // SELECTMIMETYPECOMBOBOX_H
